Regarding DYMO LabelWriter Software Compatibility

As of January 20, 2019, the latest DYMO LabelWriter software has begun causing issues with the latest version of the SchoolTools Kiosk software. In order to ensure uninterrupted service, it is recommended to use version 8.7.1 of the DYMO software on the machines running your kiosk software. A link to download this version directly from DYMO is below. Please reach out if you have any questions.

DYMO Label Software v8.7.1, Windows®


Leave a Reply

Your email address will not be published. Required fields are marked *